/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <libintl.h>
#define _(X) gettext(X)

//#include <bonobo.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#define GLADE_HOOKUP_OBJECT(component,widget,name) \
  g_object_set_data_full (G_OBJECT (component), name, \
    gtk_widget_ref (widget), (GDestroyNotify) gtk_widget_unref)

#define GLADE_HOOKUP_OBJECT_NO_REF(component,widget,name) \
  g_object_set_data (G_OBJECT (component), name, widget)

GtkWidget*
create_window1 (void)
{
  GtkWidget *window1;
  GtkWidget *vbox1;
  GtkWidget *table1;
  GtkWidget *label1;
  GtkWidget *button7;
  GtkWidget *label2;
  GtkObject *spinbutton1_adj;
  GtkWidget *spinbutton1;
  GtkObject *spinbutton2_adj;
  GtkWidget *spinbutton2;
  GtkWidget *hbox8;
  GtkWidget *handlebox4;
  GtkWidget *hbox10;
  GtkWidget *label10;
  GtkWidget *combobox5;
  GtkWidget *handlebox2;
  GtkWidget *hbox3;
  GtkWidget *label5;
  GtkWidget *combobox2;
  GtkWidget *combobox1;
  GtkWidget *handlebox1;
  GtkWidget *toolbar1;
  GtkIconSize tmp_toolbar_icon_size;
  GtkWidget *toolitem24;
  GtkWidget *button_pos;
  GtkWidget *image16;
  GtkWidget *toolitem2;
  GtkWidget *button_rewind;
  GtkWidget *image1;
  GtkWidget *toolitem3;
  GtkWidget *button_fr;
  GtkWidget *image2;
  GtkWidget *toolitem4;
  GtkWidget *button_play;
  GtkWidget *image3;
  GtkWidget *toolitem5;
  GtkWidget *button_pause;
  GtkWidget *image6;
  GtkWidget *toolitem6;
  GtkWidget *button_ff;
  GtkWidget *image5;
  GtkWidget *toolitem23;
  GtkWidget *button_end;
  GtkWidget *image7;
  GtkWidget *handlebox3;
  GtkWidget *hbox9;
  GtkWidget *combobox3;
  GtkWidget *combobox4;
  GtkWidget *button6;
  GtkWidget *alignment2;
  GtkWidget *hbox5;
  GtkWidget *image14;
  GtkWidget *label7;
  GtkWidget *button_smpte_end;
  GtkWidget *image18;
  GtkWidget *button_smpte_start;
  GtkWidget *image17;
  GtkWidget *hscale1;
  GtkWidget *hbox_labels;
  GtkWidget *label_start;
  GtkWidget *label13;
  GtkWidget *label_end;
  GtkWidget *hbox2;
  GtkWidget *label9;
  GtkWidget *checkbutton6;
  GtkWidget *checkbutton7;
  GtkWidget *checkbutton2;
  GtkWidget *checkbutton4;
  GtkWidget *checkbutton3;
  GtkWidget *vseparator1;
  GtkWidget *checkbutton8;
  GtkWidget *checkbutton5;
  GtkWidget *button_keyprefs;
  GtkWidget *image25;
  GtkWidget *button_loadrc;
  GtkWidget *button_saverc;
  GtkWidget *button_saveasrc;
  GtkWidget *image28;
  GtkWidget *image29;
  GtkWidget *image30;
  GtkWidget *label_smpte;
  GtkWidget *checkbutton1;
  GtkWidget *alignment3;
  GtkWidget *hbox7;
  GtkWidget *image15;
  GtkWidget *label8;
  GtkWidget *statusbar1;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  window1 = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW (window1), _("gjacktransport"));

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (window1), vbox1);

  table1 = gtk_table_new (2, 5, FALSE);
  gtk_widget_show (table1);
  gtk_box_pack_start (GTK_BOX (vbox1), table1, TRUE, TRUE, 0);

  label1 = gtk_label_new (_("start:"));
  gtk_widget_show (label1);
  gtk_table_attach (GTK_TABLE (table1), label1, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  button7 = gtk_button_new_with_mnemonic (_("++ JACK Transport Slider ++"));
  gtk_widget_show (button7);
  gtk_table_attach (GTK_TABLE (table1), button7, 1, 4, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  GTK_WIDGET_UNSET_FLAGS (button7, GTK_CAN_FOCUS);
  gtk_button_set_relief (GTK_BUTTON (button7), GTK_RELIEF_NONE);
  gtk_button_set_focus_on_click (GTK_BUTTON (button7), FALSE);

  label2 = gtk_label_new (_("end:"));
  gtk_widget_show (label2);
  gtk_table_attach (GTK_TABLE (table1), label2, 4, 5, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  spinbutton1_adj = gtk_adjustment_new (1, 0, 2000000000, 1, 10000, 0);
  spinbutton1 = gtk_spin_button_new (GTK_ADJUSTMENT (spinbutton1_adj), 1, 2);
  gtk_widget_show (spinbutton1);
  gtk_table_attach (GTK_TABLE (table1), spinbutton1, 0, 1, 1, 2,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_widget_set_size_request (spinbutton1, 100, -1);
  gtk_tooltips_set_tip (tooltips, spinbutton1, _("set slider start position"), NULL);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (spinbutton1), TRUE);

  spinbutton2_adj = gtk_adjustment_new (60, 0, 2000000000, 1, 10000, 0);
  spinbutton2 = gtk_spin_button_new (GTK_ADJUSTMENT (spinbutton2_adj), 1, 2);
  gtk_widget_show (spinbutton2);
  gtk_table_attach (GTK_TABLE (table1), spinbutton2, 4, 5, 1, 2,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_size_request (spinbutton2, 100, -1);
  gtk_tooltips_set_tip (tooltips, spinbutton2, _("set slider end position"), NULL);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (spinbutton2), TRUE);

  hbox8 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox8);
  gtk_table_attach (GTK_TABLE (table1), hbox8, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND),
                    (GtkAttachOptions) (0), 5, 0);

  handlebox4 = gtk_handle_box_new ();
  gtk_widget_show (handlebox4);
  gtk_box_pack_start (GTK_BOX (hbox8), handlebox4, FALSE, FALSE, 0);

  hbox10 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox10);
  gtk_container_add (GTK_CONTAINER (handlebox4), hbox10);

  label10 = gtk_label_new (_("Mem:"));
  gtk_widget_show (label10);
  gtk_box_pack_start (GTK_BOX (hbox10), label10, FALSE, FALSE, 0);

  combobox5 = gtk_combo_box_new_text ();
  gtk_widget_show (combobox5);
  gtk_box_pack_start (GTK_BOX (hbox10), combobox5, FALSE, FALSE, 0);

  handlebox2 = gtk_handle_box_new ();
  gtk_widget_show (handlebox2);
  gtk_box_pack_start (GTK_BOX (hbox8), handlebox2, FALSE, FALSE, 0);

  hbox3 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox3);
  gtk_container_add (GTK_CONTAINER (handlebox2), hbox3);

  label5 = gtk_label_new (_("Unit: "));
  gtk_widget_show (label5);
  gtk_box_pack_start (GTK_BOX (hbox3), label5, FALSE, FALSE, 0);

  combobox2 = gtk_combo_box_new_text ();
  gtk_widget_show (combobox2);
  gtk_box_pack_start (GTK_BOX (hbox3), combobox2, FALSE, FALSE, 0);
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox2), _("hour"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox2), _("min"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox2), _("sec"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox2), _("Videoframes"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox2), _("Audioframes"));

  combobox1 = gtk_combo_box_new_text ();
  gtk_widget_show (combobox1);
  gtk_box_pack_start (GTK_BOX (hbox3), combobox1, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (combobox1, FALSE);
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "10");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "14");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "15");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "23.976");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "24");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "24.976");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "25");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "29.97");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "30");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "59.94");
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox1), "60");

  handlebox1 = gtk_handle_box_new ();
  gtk_box_pack_start (GTK_BOX (hbox8), handlebox1, FALSE, FALSE, 0);

  toolbar1 = gtk_toolbar_new ();
  gtk_widget_show (toolbar1);
  gtk_container_add (GTK_CONTAINER (handlebox1), toolbar1);
  gtk_widget_set_size_request (toolbar1, 190, -1);
  gtk_toolbar_set_style (GTK_TOOLBAR (toolbar1), GTK_TOOLBAR_ICONS);
  tmp_toolbar_icon_size = gtk_toolbar_get_icon_size (GTK_TOOLBAR (toolbar1));

  toolitem24 = (GtkWidget*) gtk_tool_item_new ();
  gtk_widget_show (toolitem24);
  gtk_tool_item_set_expand (GTK_TOOL_ITEM (toolitem24), TRUE);
  gtk_container_add (GTK_CONTAINER (toolbar1), toolitem24);

  button_pos = gtk_button_new ();
  gtk_widget_show (button_pos);
  gtk_container_add (GTK_CONTAINER (toolitem24), button_pos);
  gtk_tooltips_set_tip (tooltips, button_pos, _("reset jack transport to origin"), NULL);

  image16 = gtk_image_new_from_stock ("gtk-goto-bottom", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image16);
  gtk_container_add (GTK_CONTAINER (button_pos), image16);

  toolitem2 = (GtkWidget*) gtk_tool_item_new ();
  gtk_widget_show (toolitem2);
  gtk_tool_item_set_expand (GTK_TOOL_ITEM (toolitem2), TRUE);
  gtk_container_add (GTK_CONTAINER (toolbar1), toolitem2);

  button_rewind = gtk_button_new ();
  gtk_widget_show (button_rewind);
  gtk_container_add (GTK_CONTAINER (toolitem2), button_rewind);
  gtk_tooltips_set_tip (tooltips, button_rewind, _("move slider to left end"), NULL);

  image1 = gtk_image_new_from_stock ("gtk-media-previous", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image1);
  gtk_container_add (GTK_CONTAINER (button_rewind), image1);

  toolitem3 = (GtkWidget*) gtk_tool_item_new ();
  gtk_widget_show (toolitem3);
  gtk_tool_item_set_expand (GTK_TOOL_ITEM (toolitem3), TRUE);
  gtk_container_add (GTK_CONTAINER (toolbar1), toolitem3);

  button_fr = gtk_button_new ();
  gtk_widget_show (button_fr);
  gtk_container_add (GTK_CONTAINER (toolitem3), button_fr);
  gtk_tooltips_set_tip (tooltips, button_fr, _("skip backwards"), NULL);

  image2 = gtk_image_new_from_stock ("gtk-media-rewind", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image2);
  gtk_container_add (GTK_CONTAINER (button_fr), image2);

  toolitem4 = (GtkWidget*) gtk_tool_item_new ();
  gtk_widget_show (toolitem4);
  gtk_tool_item_set_expand (GTK_TOOL_ITEM (toolitem4), TRUE);
  gtk_container_add (GTK_CONTAINER (toolbar1), toolitem4);

  button_play = gtk_button_new ();
  gtk_widget_show (button_play);
  gtk_container_add (GTK_CONTAINER (toolitem4), button_play);
  gtk_tooltips_set_tip (tooltips, button_play, _("start transport"), NULL);

  image3 = gtk_image_new_from_stock ("gtk-media-play", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image3);
  gtk_container_add (GTK_CONTAINER (button_play), image3);

  toolitem5 = (GtkWidget*) gtk_tool_item_new ();
  gtk_widget_show (toolitem5);
  gtk_tool_item_set_expand (GTK_TOOL_ITEM (toolitem5), TRUE);
  gtk_container_add (GTK_CONTAINER (toolbar1), toolitem5);

  button_pause = gtk_button_new ();
  gtk_widget_show (button_pause);
  gtk_container_add (GTK_CONTAINER (toolitem5), button_pause);
  gtk_tooltips_set_tip (tooltips, button_pause, _("pause transport"), NULL);

  image6 = gtk_image_new_from_stock ("gtk-media-pause", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image6);
  gtk_container_add (GTK_CONTAINER (button_pause), image6);

  toolitem6 = (GtkWidget*) gtk_tool_item_new ();
  gtk_widget_show (toolitem6);
  gtk_tool_item_set_expand (GTK_TOOL_ITEM (toolitem6), TRUE);
  gtk_container_add (GTK_CONTAINER (toolbar1), toolitem6);

  button_ff = gtk_button_new ();
  gtk_widget_show (button_ff);
  gtk_container_add (GTK_CONTAINER (toolitem6), button_ff);
  gtk_tooltips_set_tip (tooltips, button_ff, _("skip forward"), NULL);

  image5 = gtk_image_new_from_stock ("gtk-media-forward", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image5);
  gtk_container_add (GTK_CONTAINER (button_ff), image5);

  toolitem23 = (GtkWidget*) gtk_tool_item_new ();
  gtk_widget_show (toolitem23);
  gtk_tool_item_set_expand (GTK_TOOL_ITEM (toolitem23), TRUE);
  gtk_container_add (GTK_CONTAINER (toolbar1), toolitem23);

  button_end = gtk_button_new ();
  gtk_widget_show (button_end);
  gtk_container_add (GTK_CONTAINER (toolitem23), button_end);
  gtk_tooltips_set_tip (tooltips, button_end, _("move slider to right end"), NULL);

  image7 = gtk_image_new_from_stock ("gtk-media-next", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image7);
  gtk_container_add (GTK_CONTAINER (button_end), image7);

  handlebox3 = gtk_handle_box_new ();
  gtk_box_pack_start (GTK_BOX (hbox8), handlebox3, TRUE, TRUE, 0);

  hbox9 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox9);
  gtk_container_add (GTK_CONTAINER (handlebox3), hbox9);

  combobox3 = gtk_combo_box_new_text ();
  gtk_widget_show (combobox3);
  gtk_box_pack_start (GTK_BOX (hbox9), combobox3, FALSE, FALSE, 0);
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox3), _("origin"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox3), _("1 sec"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox3), _("5 sec"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox3), _("10 sec"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox3), _("1 min"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox3), _("5 min"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox3), _("15 min"));

  combobox4 = gtk_combo_box_new_text ();
  gtk_widget_show (combobox4);
  gtk_box_pack_start (GTK_BOX (hbox9), combobox4, FALSE, FALSE, 0);
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox4), _("10%"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox4), _("50%"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox4), _("90%"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (combobox4), _("100%"));

  button6 = gtk_button_new ();
  gtk_widget_show (button6);
  gtk_box_pack_start (GTK_BOX (hbox9), button6, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, button6, _("zoom to selected range - sets start/end points of slider for currently selected Memory."), NULL);

  alignment2 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment2);
  gtk_container_add (GTK_CONTAINER (button6), alignment2);

  hbox5 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox5);
  gtk_container_add (GTK_CONTAINER (alignment2), hbox5);

  image14 = gtk_image_new_from_stock ("gtk-zoom-fit", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image14);
  gtk_box_pack_start (GTK_BOX (hbox5), image14, FALSE, FALSE, 0);

  label7 = gtk_label_new_with_mnemonic (_("fit"));
  gtk_widget_show (label7);
  gtk_box_pack_start (GTK_BOX (hbox5), label7, FALSE, FALSE, 0);

  button_smpte_end = gtk_button_new ();
  gtk_widget_show (button_smpte_end);
  gtk_table_attach (GTK_TABLE (table1), button_smpte_end, 3, 4, 1, 2,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 2, 0);
  gtk_tooltips_set_tip (tooltips, button_smpte_end, _("edit end position SMPTE"), NULL);
  gtk_button_set_relief (GTK_BUTTON (button_smpte_end), GTK_RELIEF_NONE);

  image18 = gtk_image_new_from_stock ("gtk-edit", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image18);
  gtk_container_add (GTK_CONTAINER (button_smpte_end), image18);

  button_smpte_start = gtk_button_new ();
  gtk_widget_show (button_smpte_start);
  gtk_table_attach (GTK_TABLE (table1), button_smpte_start, 1, 2, 1, 2,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 2, 0);
  gtk_tooltips_set_tip (tooltips, button_smpte_start, _("edit starting position as SMPTE"), NULL);
  gtk_button_set_relief (GTK_BUTTON (button_smpte_start), GTK_RELIEF_NONE);

  image17 = gtk_image_new_from_stock ("gtk-edit", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image17);
  gtk_container_add (GTK_CONTAINER (button_smpte_start), image17);

  hscale1 = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (40, 0, 1000, 1, 40, 0)));
  gtk_widget_show (hscale1);
  gtk_box_pack_start (GTK_BOX (vbox1), hscale1, FALSE, FALSE, 0);
  gtk_scale_set_draw_value (GTK_SCALE (hscale1), FALSE);
  gtk_scale_set_digits (GTK_SCALE (hscale1), 4);

  hbox_labels = gtk_hbox_new (FALSE, 0);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox_labels, TRUE, TRUE, 0);

  label_start = gtk_label_new ("00:00:00.00");
  gtk_widget_show (label_start);
  gtk_box_pack_start (GTK_BOX (hbox_labels), label_start, FALSE, FALSE, 1);

  label13 = gtk_label_new ("");
  gtk_widget_show (label13);
  gtk_box_pack_start (GTK_BOX (hbox_labels), label13, TRUE, FALSE, 0);

  label_end = gtk_label_new ("00:01:00.00");
  gtk_widget_show (label_end);
  gtk_box_pack_start (GTK_BOX (hbox_labels), label_end, FALSE, FALSE, 1);
  gtk_label_set_justify (GTK_LABEL (label_end), GTK_JUSTIFY_RIGHT);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox2, FALSE, FALSE, 0);

  label9 = gtk_label_new (_("Toolbars:"));
  gtk_widget_show (label9);
  gtk_box_pack_start (GTK_BOX (hbox2), label9, FALSE, FALSE, 1);

  checkbutton6 = gtk_check_button_new_with_mnemonic (_("All!"));
  gtk_widget_show (checkbutton6);
  gtk_box_pack_start (GTK_BOX (hbox2), checkbutton6, FALSE, FALSE, 1);
  gtk_tooltips_set_tip (tooltips, checkbutton6, _("show/hide toolbar table"), NULL);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton6), TRUE);

  checkbutton7 = gtk_check_button_new_with_mnemonic (_("Memory"));
  gtk_widget_show (checkbutton7);
  gtk_box_pack_start (GTK_BOX (hbox2), checkbutton7, FALSE, FALSE, 1);
  gtk_tooltips_set_tip (tooltips, checkbutton7, _("show/hide Memory toolbar"), NULL);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton7), TRUE);

  checkbutton2 = gtk_check_button_new_with_mnemonic (_("Units"));
  gtk_widget_show (checkbutton2);
  gtk_box_pack_start (GTK_BOX (hbox2), checkbutton2, FALSE, FALSE, 1);
  gtk_tooltips_set_tip (tooltips, checkbutton2, _("show/hide Units toolbar"), NULL);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton2), TRUE);

  checkbutton4 = gtk_check_button_new_with_mnemonic (_("Transport"));
  gtk_widget_show (checkbutton4);
  gtk_box_pack_start (GTK_BOX (hbox2), checkbutton4, FALSE, FALSE, 1);
  gtk_tooltips_set_tip (tooltips, checkbutton4, _("show/hide JACK Transport toolbar"), NULL);

  checkbutton3 = gtk_check_button_new_with_mnemonic (_("Zoom"));
  gtk_widget_show (checkbutton3);
  gtk_box_pack_start (GTK_BOX (hbox2), checkbutton3, FALSE, FALSE, 1);
  gtk_tooltips_set_tip (tooltips, checkbutton3, _("show/hide Zoom toolbar"), NULL);

  vseparator1 = gtk_vseparator_new ();
  gtk_widget_show (vseparator1);
  gtk_box_pack_start (GTK_BOX (hbox2), vseparator1, FALSE, FALSE, 3);

  checkbutton8 = gtk_check_button_new_with_mnemonic (_("Timebar"));
  gtk_widget_show (checkbutton8);
  gtk_box_pack_start (GTK_BOX (hbox2), checkbutton8, FALSE, FALSE, 1);
  gtk_tooltips_set_tip (tooltips, checkbutton8, _("show/hide slider labels"), NULL);

  checkbutton5 = gtk_check_button_new_with_mnemonic (_("Statusbar"));
  gtk_widget_show (checkbutton5);
  gtk_box_pack_start (GTK_BOX (hbox2), checkbutton5, FALSE, FALSE, 1);
  gtk_tooltips_set_tip (tooltips, checkbutton5, _("show/hide Statusbar"), NULL);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton5), TRUE);

  button_keyprefs = gtk_button_new ();
  gtk_widget_show (button_keyprefs);
  gtk_box_pack_start (GTK_BOX (hbox2), button_keyprefs, FALSE, FALSE, 0);
  gtk_button_set_relief (GTK_BUTTON (button_keyprefs), GTK_RELIEF_NONE);
  gtk_tooltips_set_tip (tooltips, button_keyprefs, _("configure keyboard-shortcuts"), NULL);

  image25 = gtk_image_new_from_stock ("gtk-preferences", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image25);
  gtk_container_add (GTK_CONTAINER (button_keyprefs), image25);

  button_loadrc = gtk_button_new ();
  gtk_widget_show (button_loadrc);
  gtk_box_pack_start (GTK_BOX (hbox2), button_loadrc, FALSE, FALSE, 0);
  gtk_button_set_relief (GTK_BUTTON (button_loadrc), GTK_RELIEF_NONE);
  gtk_tooltips_set_tip (tooltips, button_loadrc, _("load state"), NULL);

  image30 = gtk_image_new_from_stock ("gtk-open", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image30);
  gtk_container_add (GTK_CONTAINER (button_loadrc), image30);

  button_saverc = gtk_button_new ();
  gtk_widget_show (button_saverc);
  gtk_box_pack_start (GTK_BOX (hbox2), button_saverc, FALSE, FALSE, 0);
  gtk_button_set_relief (GTK_BUTTON (button_saverc), GTK_RELIEF_NONE);
  gtk_tooltips_set_tip (tooltips, button_saverc, _("save current state"), NULL);

  image28 = gtk_image_new_from_stock ("gtk-save", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image28);
  gtk_container_add (GTK_CONTAINER (button_saverc), image28);

  button_saveasrc = gtk_button_new ();
  gtk_widget_show (button_saveasrc);
  gtk_box_pack_start (GTK_BOX (hbox2), button_saveasrc, FALSE, FALSE, 0);
  gtk_button_set_relief (GTK_BUTTON (button_saveasrc), GTK_RELIEF_NONE);
  gtk_tooltips_set_tip (tooltips, button_saveasrc, _("save current state"), NULL);

  image29 = gtk_image_new_from_stock ("gtk-save-as", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image29);
  gtk_container_add (GTK_CONTAINER (button_saveasrc), image29);


  label_smpte = gtk_label_new ("00:00:00.00");
  gtk_widget_show (label_smpte);
  gtk_box_pack_start (GTK_BOX (hbox2), label_smpte, TRUE, TRUE, 3);
  gtk_label_set_justify (GTK_LABEL (label_smpte), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_padding (GTK_MISC (label_smpte), 5, 0);
  gtk_label_set_width_chars (GTK_LABEL (label_smpte), 14);
	gtk_widget_modify_font (label_smpte, pango_font_description_from_string ("Fixed"));

  checkbutton1 = gtk_check_button_new ();
  gtk_widget_show (checkbutton1);
  gtk_box_pack_start (GTK_BOX (hbox2), checkbutton1, FALSE, FALSE, 1);
  gtk_tooltips_set_tip (tooltips, checkbutton1, _("connect to JACK daemon."), NULL);

  alignment3 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment3);
  gtk_container_add (GTK_CONTAINER (checkbutton1), alignment3);

  hbox7 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox7);
  gtk_container_add (GTK_CONTAINER (alignment3), hbox7);

  image15 = gtk_image_new_from_stock ("gtk-connect", GTK_ICON_SIZE_BUTTON);
  gtk_widget_show (image15);
  gtk_box_pack_start (GTK_BOX (hbox7), image15, FALSE, FALSE, 0);

  label8 = gtk_label_new_with_mnemonic (_("jack connect"));
  gtk_widget_show (label8);
  gtk_box_pack_start (GTK_BOX (hbox7), label8, FALSE, FALSE, 0);

  statusbar1 = gtk_statusbar_new ();
  gtk_widget_show (statusbar1);
  gtk_box_pack_start (GTK_BOX (vbox1), statusbar1, FALSE, TRUE, 0);

  g_signal_connect ((gpointer) window1, "destroy",
                    G_CALLBACK (gtk_main_quit),
                    NULL);
  g_signal_connect ((gpointer) window1, "key_press_event",
                    G_CALLBACK (on_main_key_press_event),
                    NULL);
  g_signal_connect ((gpointer) button7, "released",
                    G_CALLBACK (on_button7_released),
                    NULL);
  g_signal_connect ((gpointer) spinbutton1, "value_changed",
                    G_CALLBACK (on_spinbutton1_value_changed),
                    NULL);
  g_signal_connect ((gpointer) spinbutton1, "focus_in_event",
                    G_CALLBACK (on_spinbutton_focus_in_event),
                    NULL);
  g_signal_connect ((gpointer) spinbutton1, "focus_out_event",
                    G_CALLBACK (on_spinbutton_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) spinbutton2, "value_changed",
                    G_CALLBACK (on_spinbutton2_value_changed),
                    NULL);
  g_signal_connect ((gpointer) spinbutton2, "focus_out_event",
                    G_CALLBACK (on_spinbutton_focus_out_event),
                    NULL);
  g_signal_connect ((gpointer) spinbutton2, "focus_in_event",
                    G_CALLBACK (on_spinbutton_focus_in_event),
                    NULL);
  g_signal_connect ((gpointer) combobox5, "changed",
                    G_CALLBACK (on_combobox5_changed),
                    NULL);
  g_signal_connect ((gpointer) combobox2, "changed",
                    G_CALLBACK (on_combobox2_changed),
                    NULL);
  g_signal_connect ((gpointer) combobox1, "changed",
                    G_CALLBACK (on_combobox1_changed),
                    NULL);
  g_signal_connect ((gpointer) button_pos, "released",
                    G_CALLBACK (on_button_pos_released),
                    NULL);
  g_signal_connect ((gpointer) button_pos, "activate",
                    G_CALLBACK (on_button_pos_released),
                    NULL);
  g_signal_connect ((gpointer) button_rewind, "released",
                    G_CALLBACK (on_button_rewind_released),
                    NULL);
  g_signal_connect ((gpointer) button_rewind, "activate",
                    G_CALLBACK (on_button_rewind_released),
                    NULL);
  g_signal_connect ((gpointer) button_fr, "pressed",
                    G_CALLBACK (on_button_fr_pressed),
                    NULL);
  g_signal_connect ((gpointer) button_fr, "released",
                    G_CALLBACK (on_button_fr_released),
                    NULL);
  g_signal_connect ((gpointer) button_play, "released",
                    G_CALLBACK (on_button_play_released),
                    NULL);
  g_signal_connect ((gpointer) button_play, "activate",
                    G_CALLBACK (on_button_play_released),
                    NULL);
  g_signal_connect ((gpointer) button_pause, "released",
                    G_CALLBACK (on_button_pause_released),
                    NULL);
  g_signal_connect ((gpointer) button_pause, "activate",
                    G_CALLBACK (on_button_pause_released),
                    NULL);
  g_signal_connect ((gpointer) button_ff, "pressed",
                    G_CALLBACK (on_button_ff_pressed),
                    NULL);
  g_signal_connect ((gpointer) button_ff, "released",
                    G_CALLBACK (on_button_ff_released),
                    NULL);
  g_signal_connect ((gpointer) button_end, "released",
                    G_CALLBACK (on_button_end_released),
                    NULL);
  g_signal_connect ((gpointer) button_end, "activate",
                    G_CALLBACK (on_button_end_released),
                    NULL);
  g_signal_connect ((gpointer) combobox3, "changed",
                    G_CALLBACK (on_combobox3_changed),
                    NULL);
  g_signal_connect ((gpointer) combobox4, "changed",
                    G_CALLBACK (on_combobox4_changed),
                    NULL);
  g_signal_connect ((gpointer) button6, "released",
                    G_CALLBACK (on_button6_released),
                    NULL);
  g_signal_connect ((gpointer) button6, "activate",
                    G_CALLBACK (on_button6_released),
                    NULL);
  g_signal_connect ((gpointer) button_smpte_end, "released",
                    G_CALLBACK (on_button_smpte_released),
                    NULL);
  g_signal_connect ((gpointer) button_smpte_end, "activate",
                    G_CALLBACK (on_button_smpte_released),
                    NULL);
  g_signal_connect ((gpointer) button_smpte_start, "released",
                    G_CALLBACK (on_button_smpte_released),
                    NULL);
  g_signal_connect ((gpointer) button_smpte_start, "activate",
                    G_CALLBACK (on_button_smpte_released),
                    NULL);
  g_signal_connect ((gpointer) hscale1, "value_changed",
                    G_CALLBACK (on_hscale1_value_changed),
                    NULL);
  g_signal_connect ((gpointer) hscale1, "move_slider",
                    G_CALLBACK (on_hscale1_move_slider),
                    NULL);
  g_signal_connect ((gpointer) hscale1, "button_press_event",
                    G_CALLBACK (on_hscale1_button_press_event),
                    NULL);
  g_signal_connect ((gpointer) hscale1, "button_release_event",
                    G_CALLBACK (on_hscale1_button_release_event),
                    NULL);
  g_signal_connect ((gpointer) hscale1, "change_value",
                    G_CALLBACK (on_hscale1_change_value),
                    NULL);
  g_signal_connect ((gpointer) checkbutton6, "toggled",
                    G_CALLBACK (on_checkbutton6_toggled),
                    NULL);
  g_signal_connect ((gpointer) checkbutton7, "toggled",
                    G_CALLBACK (on_checkbutton7_toggled),
                    NULL);
  g_signal_connect ((gpointer) checkbutton2, "toggled",
                    G_CALLBACK (on_checkbutton2_toggled),
                    NULL);
  g_signal_connect ((gpointer) checkbutton4, "toggled",
                    G_CALLBACK (on_checkbutton4_toggled),
                    NULL);
  g_signal_connect ((gpointer) checkbutton3, "toggled",
                    G_CALLBACK (on_checkbutton3_toggled),
                    NULL);
  g_signal_connect ((gpointer) checkbutton8, "toggled",
                    G_CALLBACK (on_checkbutton8_toggled),
                    NULL);
  g_signal_connect ((gpointer) checkbutton5, "toggled",
                    G_CALLBACK (on_checkbutton5_toggled),
                    NULL);
  g_signal_connect ((gpointer) button_keyprefs, "released",
                    G_CALLBACK (on_button_keyprefs_released),
                    NULL);
  g_signal_connect ((gpointer) button_loadrc, "released",
                    G_CALLBACK (on_button_loadrc_released),
                    NULL);
  g_signal_connect ((gpointer) button_saverc, "released",
                    G_CALLBACK (on_button_saverc_released),
                    NULL);
  g_signal_connect ((gpointer) button_saveasrc, "released",
                    G_CALLBACK (on_button_saveasrc_released),
                    NULL);
  g_signal_connect ((gpointer) checkbutton1, "toggled",
                    G_CALLBACK (on_checkbutton1_toggled),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (window1, window1, "window1");
  GLADE_HOOKUP_OBJECT (window1, vbox1, "vbox1");
  GLADE_HOOKUP_OBJECT (window1, table1, "table1");
  GLADE_HOOKUP_OBJECT (window1, label1, "label1");
  GLADE_HOOKUP_OBJECT (window1, button7, "button7");
  GLADE_HOOKUP_OBJECT (window1, label2, "label2");
  GLADE_HOOKUP_OBJECT (window1, spinbutton1, "spinbutton1");
  GLADE_HOOKUP_OBJECT (window1, spinbutton2, "spinbutton2");
  GLADE_HOOKUP_OBJECT (window1, hbox8, "hbox8");
  GLADE_HOOKUP_OBJECT (window1, handlebox4, "handlebox4");
  GLADE_HOOKUP_OBJECT (window1, hbox10, "hbox10");
  GLADE_HOOKUP_OBJECT (window1, label10, "label10");
  GLADE_HOOKUP_OBJECT (window1, combobox5, "combobox5");
  GLADE_HOOKUP_OBJECT (window1, handlebox2, "handlebox2");
  GLADE_HOOKUP_OBJECT (window1, hbox3, "hbox3");
  GLADE_HOOKUP_OBJECT (window1, label5, "label5");
  GLADE_HOOKUP_OBJECT (window1, combobox2, "combobox2");
  GLADE_HOOKUP_OBJECT (window1, combobox1, "combobox1");
  GLADE_HOOKUP_OBJECT (window1, handlebox1, "handlebox1");
  GLADE_HOOKUP_OBJECT (window1, toolbar1, "toolbar1");
  GLADE_HOOKUP_OBJECT (window1, toolitem24, "toolitem24");
  GLADE_HOOKUP_OBJECT (window1, button_pos, "button_pos");
  GLADE_HOOKUP_OBJECT (window1, image16, "image16");
  GLADE_HOOKUP_OBJECT (window1, toolitem2, "toolitem2");
  GLADE_HOOKUP_OBJECT (window1, button_rewind, "button_rewind");
  GLADE_HOOKUP_OBJECT (window1, image1, "image1");
  GLADE_HOOKUP_OBJECT (window1, toolitem3, "toolitem3");
  GLADE_HOOKUP_OBJECT (window1, button_fr, "button_fr");
  GLADE_HOOKUP_OBJECT (window1, image2, "image2");
  GLADE_HOOKUP_OBJECT (window1, toolitem4, "toolitem4");
  GLADE_HOOKUP_OBJECT (window1, button_play, "button_play");
  GLADE_HOOKUP_OBJECT (window1, image3, "image3");
  GLADE_HOOKUP_OBJECT (window1, toolitem5, "toolitem5");
  GLADE_HOOKUP_OBJECT (window1, button_pause, "button_pause");
  GLADE_HOOKUP_OBJECT (window1, image6, "image6");
  GLADE_HOOKUP_OBJECT (window1, toolitem6, "toolitem6");
  GLADE_HOOKUP_OBJECT (window1, button_ff, "button_ff");
  GLADE_HOOKUP_OBJECT (window1, image5, "image5");
  GLADE_HOOKUP_OBJECT (window1, toolitem23, "toolitem23");
  GLADE_HOOKUP_OBJECT (window1, button_end, "button_end");
  GLADE_HOOKUP_OBJECT (window1, image7, "image7");
  GLADE_HOOKUP_OBJECT (window1, handlebox3, "handlebox3");
  GLADE_HOOKUP_OBJECT (window1, hbox9, "hbox9");
  GLADE_HOOKUP_OBJECT (window1, combobox3, "combobox3");
  GLADE_HOOKUP_OBJECT (window1, combobox4, "combobox4");
  GLADE_HOOKUP_OBJECT (window1, button6, "button6");
  GLADE_HOOKUP_OBJECT (window1, alignment2, "alignment2");
  GLADE_HOOKUP_OBJECT (window1, hbox5, "hbox5");
  GLADE_HOOKUP_OBJECT (window1, image14, "image14");
  GLADE_HOOKUP_OBJECT (window1, label7, "label7");
  GLADE_HOOKUP_OBJECT (window1, button_smpte_end, "button_smpte_end");
  GLADE_HOOKUP_OBJECT (window1, image18, "image18");
  GLADE_HOOKUP_OBJECT (window1, button_smpte_start, "button_smpte_start");
  GLADE_HOOKUP_OBJECT (window1, image17, "image17");
  GLADE_HOOKUP_OBJECT (window1, hscale1, "hscale1");
  GLADE_HOOKUP_OBJECT (window1, hbox_labels, "hbox_labels");
  GLADE_HOOKUP_OBJECT (window1, label_start, "label_start");
  GLADE_HOOKUP_OBJECT (window1, label13, "label13");
  GLADE_HOOKUP_OBJECT (window1, label_end, "label_end");
  GLADE_HOOKUP_OBJECT (window1, hbox2, "hbox2");
  GLADE_HOOKUP_OBJECT (window1, label9, "label9");
  GLADE_HOOKUP_OBJECT (window1, checkbutton6, "checkbutton6");
  GLADE_HOOKUP_OBJECT (window1, checkbutton7, "checkbutton7");
  GLADE_HOOKUP_OBJECT (window1, checkbutton2, "checkbutton2");
  GLADE_HOOKUP_OBJECT (window1, checkbutton4, "checkbutton4");
  GLADE_HOOKUP_OBJECT (window1, checkbutton3, "checkbutton3");
  GLADE_HOOKUP_OBJECT (window1, vseparator1, "vseparator1");
  GLADE_HOOKUP_OBJECT (window1, checkbutton8, "checkbutton8");
  GLADE_HOOKUP_OBJECT (window1, checkbutton5, "checkbutton5");
  GLADE_HOOKUP_OBJECT (window1, button_keyprefs, "button_keyprefs");
  GLADE_HOOKUP_OBJECT (window1, image25, "image25");
  GLADE_HOOKUP_OBJECT (window1, button_saverc, "button_saverc");
  GLADE_HOOKUP_OBJECT (window1, image28, "image28");
  GLADE_HOOKUP_OBJECT (window1, label_smpte, "label_smpte");
  GLADE_HOOKUP_OBJECT (window1, checkbutton1, "checkbutton1");
  GLADE_HOOKUP_OBJECT (window1, alignment3, "alignment3");
  GLADE_HOOKUP_OBJECT (window1, hbox7, "hbox7");
  GLADE_HOOKUP_OBJECT (window1, image15, "image15");
  GLADE_HOOKUP_OBJECT (window1, label8, "label8");
  GLADE_HOOKUP_OBJECT (window1, statusbar1, "statusbar1");
  GLADE_HOOKUP_OBJECT_NO_REF (window1, tooltips, "tooltips");

  return window1;
}

GtkWidget*
create_dialog_smpte (void)
{
  GtkWidget *dialog_smpte;
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox2;
  GtkWidget *frame1;
  GtkWidget *alignment4;
  GtkWidget *vbox3;
  GtkWidget *radiobuttonS_jack;
  GSList *radiobuttonS_jack_group = NULL;
  GtkWidget *radiobuttonS_vf;
  GtkWidget *checkbuttonS_dftc;
  GtkWidget *hseparator1;
  GtkWidget *label19;
  GtkWidget *label14;
  GtkWidget *frame2;
  GtkWidget *frame6;
  GtkWidget *label12;
  GtkWidget *entry1;
  GtkWidget *alignment5;
  GtkWidget *hbox11;
  GtkObject *spinbuttonS_h_adj;
  GtkWidget *spinbuttonS_h;
  GtkWidget *label16;
  GtkObject *spinbuttonS_m_adj;
  GtkWidget *spinbuttonS_m;
  GtkWidget *label18;
  GtkObject *spinbuttonS_s_adj;
  GtkWidget *spinbuttonS_s;
  GtkWidget *label17;
  GtkObject *spinbuttonS_f_adj;
  GtkWidget *spinbuttonS_f;
  GtkWidget *label15;
  GtkWidget *dialog_action_area1;
  GtkWidget *okbutton1;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  dialog_smpte = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (dialog_smpte), _("SMPTE"));
  gtk_window_set_resizable (GTK_WINDOW (dialog_smpte), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (dialog_smpte), GDK_WINDOW_TYPE_HINT_DIALOG);

  dialog_vbox1 = GTK_DIALOG (dialog_smpte)->vbox;
  gtk_widget_show (dialog_vbox1);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox2);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), vbox2, TRUE, TRUE, 0);

  frame6 = gtk_frame_new (NULL);
  gtk_widget_show (frame6);
  gtk_box_pack_start (GTK_BOX (vbox2), frame6, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame6), GTK_SHADOW_ETCHED_OUT);

  label12 = gtk_label_new (_("<b>Memory/Preset Name:</b>"));
  gtk_widget_show (label12);
  gtk_frame_set_label_widget (GTK_FRAME (frame6), label12);
  gtk_label_set_use_markup (GTK_LABEL (label12), TRUE);

	entry1 = gtk_entry_new ();
  gtk_container_add (GTK_CONTAINER (frame6), entry1);
  gtk_widget_show (entry1);

  frame1 = gtk_frame_new (NULL);
  gtk_widget_show (frame1);
  gtk_box_pack_start (GTK_BOX (vbox2), frame1, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame1), GTK_SHADOW_ETCHED_OUT);

  alignment4 = gtk_alignment_new (0.5, 0.5, 1, 1);
  gtk_widget_show (alignment4);
  gtk_container_add (GTK_CONTAINER (frame1), alignment4);
  gtk_alignment_set_padding (GTK_ALIGNMENT (alignment4), 0, 0, 12, 0);

  vbox3 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox3);
  gtk_container_add (GTK_CONTAINER (alignment4), vbox3);

  radiobuttonS_jack = gtk_radio_button_new_with_mnemonic (NULL, _("use JACK video framerate"));
  gtk_widget_show (radiobuttonS_jack);
  gtk_box_pack_start (GTK_BOX (vbox3), radiobuttonS_jack, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, radiobuttonS_jack, _("use Video FPS fom JACK time master"), NULL);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (radiobuttonS_jack), radiobuttonS_jack_group);
  radiobuttonS_jack_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (radiobuttonS_jack));

  radiobuttonS_vf = gtk_radio_button_new_with_mnemonic (NULL, _("use Videoframe unit"));
  gtk_widget_show (radiobuttonS_vf);
  gtk_box_pack_start (GTK_BOX (vbox3), radiobuttonS_vf, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, radiobuttonS_vf, _("use last recent selected video FPS unit from gjacktransport"), NULL);
  gtk_radio_button_set_group (GTK_RADIO_BUTTON (radiobuttonS_vf), radiobuttonS_jack_group);
  radiobuttonS_jack_group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (radiobuttonS_vf));

  checkbuttonS_dftc = gtk_check_button_new_with_mnemonic (_("Drop Frame Timecode"));
  gtk_widget_show (checkbuttonS_dftc);
  gtk_box_pack_start (GTK_BOX (vbox3), checkbuttonS_dftc, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, checkbuttonS_dftc, _("apply drop frame timecode conversion"), NULL);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_show (hseparator1);
  gtk_box_pack_start (GTK_BOX (vbox3), hseparator1, TRUE, TRUE, 2);

  label19 = gtk_label_new (_("Note: start and end positions are stored\nin seconds, framerate.h uses frames so\nthere are rounding errors possible on the \nstart/end spinbuttons and this SMPTE\nconverter However, the displayed value(s)\nin the toolbar are correct!"));
  gtk_widget_show (label19);
  gtk_box_pack_start (GTK_BOX (vbox3), label19, FALSE, FALSE, 0);
  gtk_label_set_line_wrap (GTK_LABEL (label19), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label19), 0.05, 0.5);

  label14 = gtk_label_new (_("<b>SMPTE Framerate:</b>"));
  gtk_widget_show (label14);
  gtk_frame_set_label_widget (GTK_FRAME (frame1), label14);
  gtk_label_set_use_markup (GTK_LABEL (label14), TRUE);

  frame2 = gtk_frame_new (NULL);
  gtk_widget_show (frame2);
  gtk_box_pack_start (GTK_BOX (vbox2), frame2, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame2), GTK_SHADOW_ETCHED_OUT);

  alignment5 = gtk_alignment_new (0.5, 0.5, 1, 1);
  gtk_widget_show (alignment5);
  gtk_container_add (GTK_CONTAINER (frame2), alignment5);
  gtk_alignment_set_padding (GTK_ALIGNMENT (alignment5), 0, 0, 12, 0);

  hbox11 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox11);
  gtk_container_add (GTK_CONTAINER (alignment5), hbox11);

  spinbuttonS_h_adj = gtk_adjustment_new (1, 0, 23, 1, 10, 0);
  spinbuttonS_h = gtk_spin_button_new (GTK_ADJUSTMENT (spinbuttonS_h_adj), 1, 0);
  gtk_widget_show (spinbuttonS_h);
  gtk_box_pack_start (GTK_BOX (hbox11), spinbuttonS_h, TRUE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, spinbuttonS_h, _("hours"), NULL);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (spinbuttonS_h), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (spinbuttonS_h), GTK_UPDATE_IF_VALID);

  label16 = gtk_label_new (_(":"));
  gtk_widget_show (label16);
  gtk_box_pack_start (GTK_BOX (hbox11), label16, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label16), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label16), 2, 0);

  spinbuttonS_m_adj = gtk_adjustment_new (0, 0, 59, 1, 10, 0);
  spinbuttonS_m = gtk_spin_button_new (GTK_ADJUSTMENT (spinbuttonS_m_adj), 1, 0);
  gtk_widget_show (spinbuttonS_m);
  gtk_box_pack_start (GTK_BOX (hbox11), spinbuttonS_m, TRUE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, spinbuttonS_m, _("minutes"), NULL);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (spinbuttonS_m), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (spinbuttonS_m), GTK_UPDATE_IF_VALID);
  gtk_spin_button_set_wrap (GTK_SPIN_BUTTON (spinbuttonS_m), TRUE);

  label18 = gtk_label_new (_(":"));
  gtk_widget_show (label18);
  gtk_box_pack_start (GTK_BOX (hbox11), label18, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label18), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label18), 2, 0);

  spinbuttonS_s_adj = gtk_adjustment_new (0, 0, 59, 1, 10, 0);
  spinbuttonS_s = gtk_spin_button_new (GTK_ADJUSTMENT (spinbuttonS_s_adj), 1, 0);
  gtk_widget_show (spinbuttonS_s);
  gtk_box_pack_start (GTK_BOX (hbox11), spinbuttonS_s, TRUE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, spinbuttonS_s, _("seconds"), NULL);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (spinbuttonS_s), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (spinbuttonS_s), GTK_UPDATE_IF_VALID);
  gtk_spin_button_set_wrap (GTK_SPIN_BUTTON (spinbuttonS_s), TRUE);

  label17 = gtk_label_new (_(":"));
  gtk_widget_show (label17);
  gtk_box_pack_start (GTK_BOX (hbox11), label17, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label17), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label17), 2, 0);

  spinbuttonS_f_adj = gtk_adjustment_new (0, 0, 99, 1, 10, 0);
  spinbuttonS_f = gtk_spin_button_new (GTK_ADJUSTMENT (spinbuttonS_f_adj), 1, 0);
  gtk_widget_show (spinbuttonS_f);
  gtk_box_pack_start (GTK_BOX (hbox11), spinbuttonS_f, TRUE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, spinbuttonS_f, _("video frames"), NULL);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (spinbuttonS_f), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (spinbuttonS_f), GTK_UPDATE_IF_VALID);
  gtk_spin_button_set_wrap (GTK_SPIN_BUTTON (spinbuttonS_f), TRUE);

  label15 = gtk_label_new (_("<b>SMPTE</b>"));
  gtk_widget_show (label15);
  gtk_frame_set_label_widget (GTK_FRAME (frame2), label15);
  gtk_label_set_use_markup (GTK_LABEL (label15), TRUE);

  dialog_action_area1 = GTK_DIALOG (dialog_smpte)->action_area;
  gtk_widget_show (dialog_action_area1);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area1), GTK_BUTTONBOX_END);

  okbutton1 = gtk_button_new_from_stock ("gtk-ok");
  gtk_widget_show (okbutton1);
  gtk_dialog_add_action_widget (GTK_DIALOG (dialog_smpte), okbutton1, GTK_RESPONSE_OK);
  GTK_WIDGET_SET_FLAGS (okbutton1, GTK_CAN_DEFAULT);

  g_signal_connect_swapped ((gpointer) radiobuttonS_jack, "toggled",
                            G_CALLBACK (on_radiobuttonS_jack_toggled),
                            GTK_OBJECT (checkbuttonS_dftc));
  g_signal_connect_swapped ((gpointer) radiobuttonS_vf, "toggled",
                            G_CALLBACK (on_radiobuttonS_vf_toggled),
                            GTK_OBJECT (checkbuttonS_dftc));

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (dialog_smpte, dialog_smpte, "dialog_smpte");
  GLADE_HOOKUP_OBJECT_NO_REF (dialog_smpte, dialog_vbox1, "dialog_vbox1");
  GLADE_HOOKUP_OBJECT (dialog_smpte, vbox2, "vbox2");
  GLADE_HOOKUP_OBJECT (dialog_smpte, frame1, "frame1");
  GLADE_HOOKUP_OBJECT (dialog_smpte, alignment4, "alignment4");
  GLADE_HOOKUP_OBJECT (dialog_smpte, vbox3, "vbox3");
  GLADE_HOOKUP_OBJECT (dialog_smpte, radiobuttonS_jack, "radiobuttonS_jack");
  GLADE_HOOKUP_OBJECT (dialog_smpte, radiobuttonS_vf, "radiobuttonS_vf");
  GLADE_HOOKUP_OBJECT (dialog_smpte, checkbuttonS_dftc, "checkbuttonS_dftc");
  GLADE_HOOKUP_OBJECT (dialog_smpte, hseparator1, "hseparator1");
  GLADE_HOOKUP_OBJECT (dialog_smpte, label19, "label19");
  GLADE_HOOKUP_OBJECT (dialog_smpte, label14, "label14");
  GLADE_HOOKUP_OBJECT (dialog_smpte, frame2, "frame2");
  GLADE_HOOKUP_OBJECT (dialog_smpte, alignment5, "alignment5");
  GLADE_HOOKUP_OBJECT (dialog_smpte, hbox11, "hbox11");
  GLADE_HOOKUP_OBJECT (dialog_smpte, spinbuttonS_h, "spinbuttonS_h");
  GLADE_HOOKUP_OBJECT (dialog_smpte, label12, "label12");
  GLADE_HOOKUP_OBJECT (dialog_smpte, frame6, "frame6");
  GLADE_HOOKUP_OBJECT (dialog_smpte, entry1, "entry1");
  GLADE_HOOKUP_OBJECT (dialog_smpte, label16, "label16");
  GLADE_HOOKUP_OBJECT (dialog_smpte, spinbuttonS_m, "spinbuttonS_m");
  GLADE_HOOKUP_OBJECT (dialog_smpte, label18, "label18");
  GLADE_HOOKUP_OBJECT (dialog_smpte, spinbuttonS_s, "spinbuttonS_s");
  GLADE_HOOKUP_OBJECT (dialog_smpte, label17, "label17");
  GLADE_HOOKUP_OBJECT (dialog_smpte, spinbuttonS_f, "spinbuttonS_f");
  GLADE_HOOKUP_OBJECT (dialog_smpte, label15, "label15");
  GLADE_HOOKUP_OBJECT_NO_REF (dialog_smpte, dialog_action_area1, "dialog_action_area1");
  GLADE_HOOKUP_OBJECT (dialog_smpte, okbutton1, "okbutton1");
  GLADE_HOOKUP_OBJECT_NO_REF (dialog_smpte, tooltips, "tooltips");

  return dialog_smpte;
}

GtkWidget*
create_dialog_key (void)
{
  GtkWidget *dialog_key;
  GtkWidget *dialog_vbox2;
  GtkWidget *hbox12;
  GtkWidget *frame3;
  GtkWidget *alignment6;
  GtkWidget *table2;
  GtkWidget *buttonK0;
  GtkWidget *image19;
  GtkWidget *buttonK1;
  GtkWidget *image20;
  GtkWidget *buttonK2;
  GtkWidget *image21;
  GtkWidget *buttonK3;
  GtkWidget *image22;
  GtkWidget *buttonK4;
  GtkWidget *image23;
  GtkWidget *buttonK5;
  GtkWidget *image24;
  GtkWidget *label21;
  GtkWidget *label22;
  GtkWidget *label23;
  GtkWidget *label24;
  GtkWidget *label25;
  GtkWidget *label26;
  GtkWidget *labelK0;
  GtkWidget *labelK1;
  GtkWidget *labelK2;
  GtkWidget *labelK3;
  GtkWidget *labelK4;
  GtkWidget *labelK5;
  GtkWidget *label20;
  GtkWidget *frame5;
  GtkWidget *alignment8;
  GtkWidget *table3;
  GtkWidget *label37;
  GtkWidget *label38;
  GtkWidget *label39;
  GtkWidget *buttonK6;
  GtkWidget *image26;
  GtkWidget *buttonK7;
  GtkWidget *image27;
  GtkWidget *labelK6;
  GtkWidget *labelK7;
  GtkObject *spinbutton3_adj;
  GtkWidget *spinbutton3;
  GtkWidget *label40;
  GtkWidget *label36;
  GtkWidget *frame4;
  GtkWidget *alignment7;
  GtkWidget *label_status;
  GtkWidget *label35;
  GtkWidget *dialog_action_area2;
  GtkWidget *okbutton2;

  dialog_key = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (dialog_key), _("Preferences"));
  gtk_window_set_modal (GTK_WINDOW (dialog_key), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (dialog_key), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (dialog_key), GDK_WINDOW_TYPE_HINT_DIALOG);

  dialog_vbox2 = GTK_DIALOG (dialog_key)->vbox;
  gtk_widget_show (dialog_vbox2);

  hbox12 = gtk_hbox_new (FALSE, 5);
  gtk_widget_show (hbox12);
  gtk_box_pack_start (GTK_BOX (dialog_vbox2), hbox12, TRUE, TRUE, 3);

  frame3 = gtk_frame_new (NULL);
  gtk_widget_show (frame3);
  gtk_box_pack_start (GTK_BOX (hbox12), frame3, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame3), GTK_SHADOW_ETCHED_OUT);

  alignment6 = gtk_alignment_new (0.5, 0.5, 1, 1);
  gtk_widget_show (alignment6);
  gtk_container_add (GTK_CONTAINER (frame3), alignment6);
  gtk_alignment_set_padding (GTK_ALIGNMENT (alignment6), 0, 0, 12, 0);

  table2 = gtk_table_new (6, 3, FALSE);
  gtk_widget_show (table2);
  gtk_container_add (GTK_CONTAINER (alignment6), table2);

  buttonK0 = gtk_button_new ();
  gtk_widget_show (buttonK0);
  gtk_table_attach (GTK_TABLE (table2), buttonK0, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_button_set_relief (GTK_BUTTON (buttonK0), GTK_RELIEF_NONE);

  image19 = gtk_image_new_from_stock ("gtk-refresh", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image19);
  gtk_container_add (GTK_CONTAINER (buttonK0), image19);

  buttonK1 = gtk_button_new ();
  gtk_widget_show (buttonK1);
  gtk_table_attach (GTK_TABLE (table2), buttonK1, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_button_set_relief (GTK_BUTTON (buttonK1), GTK_RELIEF_NONE);

  image20 = gtk_image_new_from_stock ("gtk-refresh", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image20);
  gtk_container_add (GTK_CONTAINER (buttonK1), image20);

  buttonK2 = gtk_button_new ();
  gtk_widget_show (buttonK2);
  gtk_table_attach (GTK_TABLE (table2), buttonK2, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_button_set_relief (GTK_BUTTON (buttonK2), GTK_RELIEF_NONE);

  image21 = gtk_image_new_from_stock ("gtk-refresh", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image21);
  gtk_container_add (GTK_CONTAINER (buttonK2), image21);

  buttonK3 = gtk_button_new ();
  gtk_widget_show (buttonK3);
  gtk_table_attach (GTK_TABLE (table2), buttonK3, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_button_set_relief (GTK_BUTTON (buttonK3), GTK_RELIEF_NONE);

  image22 = gtk_image_new_from_stock ("gtk-refresh", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image22);
  gtk_container_add (GTK_CONTAINER (buttonK3), image22);

  buttonK4 = gtk_button_new ();
  gtk_widget_show (buttonK4);
  gtk_table_attach (GTK_TABLE (table2), buttonK4, 1, 2, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_button_set_relief (GTK_BUTTON (buttonK4), GTK_RELIEF_NONE);

  image23 = gtk_image_new_from_stock ("gtk-refresh", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image23);
  gtk_container_add (GTK_CONTAINER (buttonK4), image23);

  buttonK5 = gtk_button_new ();
  gtk_widget_show (buttonK5);
  gtk_table_attach (GTK_TABLE (table2), buttonK5, 1, 2, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_button_set_relief (GTK_BUTTON (buttonK5), GTK_RELIEF_NONE);

  image24 = gtk_image_new_from_stock ("gtk-refresh", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image24);
  gtk_container_add (GTK_CONTAINER (buttonK5), image24);

  label21 = gtk_label_new (_("Play/Pause (toggle)"));
  gtk_widget_show (label21);
  gtk_table_attach (GTK_TABLE (table2), label21, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 2, 0);
  gtk_misc_set_alignment (GTK_MISC (label21), 0, 0.5);

  label22 = gtk_label_new (_("Fast Rewind"));
  gtk_widget_show (label22);
  gtk_table_attach (GTK_TABLE (table2), label22, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 2, 0);
  gtk_misc_set_alignment (GTK_MISC (label22), 0, 0.5);

  label23 = gtk_label_new (_("Fast Forward"));
  gtk_widget_show (label23);
  gtk_table_attach (GTK_TABLE (table2), label23, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 2, 0);
  gtk_misc_set_alignment (GTK_MISC (label23), 0, 0.5);

  label24 = gtk_label_new (_("Play (only)"));
  gtk_widget_show (label24);
  gtk_table_attach (GTK_TABLE (table2), label24, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 2, 0);
  gtk_misc_set_alignment (GTK_MISC (label24), 0, 0.5);

  label25 = gtk_label_new (_("Pause (only)"));
  gtk_widget_show (label25);
  gtk_table_attach (GTK_TABLE (table2), label25, 0, 1, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 2, 0);
  gtk_misc_set_alignment (GTK_MISC (label25), 0, 0.5);

  label26 = gtk_label_new (_("Rewind"));
  gtk_widget_show (label26);
  gtk_table_attach (GTK_TABLE (table2), label26, 0, 1, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 2, 0);
  gtk_misc_set_alignment (GTK_MISC (label26), 0, 0.5);

  labelK0 = gtk_label_new (": -");
  gtk_widget_show (labelK0);
  gtk_table_attach (GTK_TABLE (table2), labelK0, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (labelK0), 0, 0.5);

  labelK1 = gtk_label_new (": -");
  gtk_widget_show (labelK1);
  gtk_table_attach (GTK_TABLE (table2), labelK1, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (labelK1), 0, 0.5);

  labelK2 = gtk_label_new (": -");
  gtk_widget_show (labelK2);
  gtk_table_attach (GTK_TABLE (table2), labelK2, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (labelK2), 0, 0.5);

  labelK3 = gtk_label_new (": -");
  gtk_widget_show (labelK3);
  gtk_table_attach (GTK_TABLE (table2), labelK3, 2, 3, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (labelK3), 0, 0.5);

  labelK4 = gtk_label_new (": -");
  gtk_widget_show (labelK4);
  gtk_table_attach (GTK_TABLE (table2), labelK4, 2, 3, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (labelK4), 0, 0.5);

  labelK5 = gtk_label_new (": -");
  gtk_widget_show (labelK5);
  gtk_table_attach (GTK_TABLE (table2), labelK5, 2, 3, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (labelK5), 0, 0.5);

  label20 = gtk_label_new (_("<b>Transport Key Bindings</b>"));
  gtk_widget_show (label20);
  gtk_frame_set_label_widget (GTK_FRAME (frame3), label20);
  gtk_label_set_use_markup (GTK_LABEL (label20), TRUE);

  frame5 = gtk_frame_new (NULL);
  gtk_widget_show (frame5);
  gtk_box_pack_start (GTK_BOX (hbox12), frame5, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame5), GTK_SHADOW_ETCHED_OUT);

  alignment8 = gtk_alignment_new (0.5, 0.5, 1, 1);
  gtk_widget_show (alignment8);
  gtk_container_add (GTK_CONTAINER (frame5), alignment8);
  gtk_alignment_set_padding (GTK_ALIGNMENT (alignment8), 0, 0, 12, 0);

  table3 = gtk_table_new (4, 3, FALSE);
  gtk_widget_show (table3);
  gtk_container_add (GTK_CONTAINER (alignment8), table3);

  label37 = gtk_label_new (_("backward"));
  gtk_widget_show (label37);
  gtk_table_attach (GTK_TABLE (table3), label37, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label37), 0, 0.5);

  label38 = gtk_label_new (_("forward"));
  gtk_widget_show (label38);
  gtk_table_attach (GTK_TABLE (table3), label38, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label38), 0, 0.5);

  label39 = gtk_label_new (_("Stride (sec)"));
  gtk_widget_show (label39);
  gtk_table_attach (GTK_TABLE (table3), label39, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label39), 0, 0.5);

  buttonK6 = gtk_button_new ();
  gtk_widget_show (buttonK6);
  gtk_table_attach (GTK_TABLE (table3), buttonK6, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_button_set_relief (GTK_BUTTON (buttonK6), GTK_RELIEF_NONE);

  image26 = gtk_image_new_from_stock ("gtk-refresh", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image26);
  gtk_container_add (GTK_CONTAINER (buttonK6), image26);

  buttonK7 = gtk_button_new ();
  gtk_widget_show (buttonK7);
  gtk_table_attach (GTK_TABLE (table3), buttonK7, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_button_set_relief (GTK_BUTTON (buttonK7), GTK_RELIEF_NONE);

  image27 = gtk_image_new_from_stock ("gtk-refresh", GTK_ICON_SIZE_MENU);
  gtk_widget_show (image27);
  gtk_container_add (GTK_CONTAINER (buttonK7), image27);

  labelK6 = gtk_label_new (": -");
  gtk_widget_show (labelK6);
  gtk_table_attach (GTK_TABLE (table3), labelK6, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (labelK6), 0, 0.5);

  labelK7 = gtk_label_new (": -");
  gtk_widget_show (labelK7);
  gtk_table_attach (GTK_TABLE (table3), labelK7, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (labelK7), 0, 0.5);

  spinbutton3_adj = gtk_adjustment_new (1, 0, 600, 1, 10, 0);
  spinbutton3 = gtk_spin_button_new (GTK_ADJUSTMENT (spinbutton3_adj), 1, 2);
  gtk_widget_show (spinbutton3);
  gtk_table_attach (GTK_TABLE (table3), spinbutton3, 1, 3, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (spinbutton3), TRUE);

  label40 = gtk_label_new (_("<b>Note:</b>\ntime-skips are not\nconstrained to the\nslider's boundaries."));
  gtk_widget_show (label40);
  gtk_table_attach (GTK_TABLE (table3), label40, 0, 3, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_use_markup (GTK_LABEL (label40), TRUE);
  gtk_label_set_line_wrap (GTK_LABEL (label40), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label40), 0, 0.5);

  label36 = gtk_label_new (_("<b>Skip Settings</b>"));
  gtk_widget_show (label36);
  gtk_frame_set_label_widget (GTK_FRAME (frame5), label36);
  gtk_label_set_use_markup (GTK_LABEL (label36), TRUE);

  frame4 = gtk_frame_new (NULL);
  gtk_widget_show (frame4);
  gtk_box_pack_start (GTK_BOX (dialog_vbox2), frame4, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame4), GTK_SHADOW_ETCHED_OUT);

  alignment7 = gtk_alignment_new (0.5, 0.5, 1, 1);
  gtk_widget_show (alignment7);
  gtk_container_add (GTK_CONTAINER (frame4), alignment7);
  gtk_alignment_set_padding (GTK_ALIGNMENT (alignment7), 0, 0, 12, 0);

  label_status = gtk_label_new ("-");
  gtk_widget_show (label_status);
  gtk_container_add (GTK_CONTAINER (alignment7), label_status);
  gtk_label_set_line_wrap (GTK_LABEL (label_status), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label_status), 0.05, 0.5);

  label35 = gtk_label_new (_("<b>Status Information:</b>"));
  gtk_widget_show (label35);
  gtk_frame_set_label_widget (GTK_FRAME (frame4), label35);
  gtk_label_set_use_markup (GTK_LABEL (label35), TRUE);

  dialog_action_area2 = GTK_DIALOG (dialog_key)->action_area;
  gtk_widget_show (dialog_action_area2);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area2), GTK_BUTTONBOX_END);

  okbutton2 = gtk_button_new_from_stock ("gtk-ok");
  gtk_widget_show (okbutton2);
  gtk_dialog_add_action_widget (GTK_DIALOG (dialog_key), okbutton2, GTK_RESPONSE_OK);
  GTK_WIDGET_SET_FLAGS (okbutton2, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) dialog_key, "key_press_event",
                    G_CALLBACK (on_dialog_key_key_press_event),
                    NULL);
  g_signal_connect ((gpointer) buttonK0, "released",
                    G_CALLBACK (on_buttonK0_released),
                    NULL);
  g_signal_connect ((gpointer) buttonK1, "released",
                    G_CALLBACK (on_buttonK1_released),
                    NULL);
  g_signal_connect ((gpointer) buttonK2, "released",
                    G_CALLBACK (on_buttonK2_released),
                    NULL);
  g_signal_connect ((gpointer) buttonK3, "released",
                    G_CALLBACK (on_buttonK3_released),
                    NULL);
  g_signal_connect ((gpointer) buttonK4, "released",
                    G_CALLBACK (on_buttonK4_released),
                    NULL);
  g_signal_connect ((gpointer) buttonK5, "released",
                    G_CALLBACK (on_buttonK5_released),
                    NULL);
  g_signal_connect ((gpointer) buttonK6, "released",
                    G_CALLBACK (on_buttonK6_released),
                    NULL);
  g_signal_connect ((gpointer) buttonK7, "released",
                    G_CALLBACK (on_buttonK7_released),
                    NULL);
  g_signal_connect ((gpointer) spinbutton3, "changed",
                    G_CALLBACK (on_spinbutton_stride_changed),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (dialog_key, dialog_key, "dialog_key");
  GLADE_HOOKUP_OBJECT_NO_REF (dialog_key, dialog_vbox2, "dialog_vbox2");
  GLADE_HOOKUP_OBJECT (dialog_key, hbox12, "hbox12");
  GLADE_HOOKUP_OBJECT (dialog_key, frame3, "frame3");
  GLADE_HOOKUP_OBJECT (dialog_key, alignment6, "alignment6");
  GLADE_HOOKUP_OBJECT (dialog_key, table2, "table2");
  GLADE_HOOKUP_OBJECT (dialog_key, buttonK0, "buttonK0");
  GLADE_HOOKUP_OBJECT (dialog_key, image19, "image19");
  GLADE_HOOKUP_OBJECT (dialog_key, buttonK1, "buttonK1");
  GLADE_HOOKUP_OBJECT (dialog_key, image20, "image20");
  GLADE_HOOKUP_OBJECT (dialog_key, buttonK2, "buttonK2");
  GLADE_HOOKUP_OBJECT (dialog_key, image21, "image21");
  GLADE_HOOKUP_OBJECT (dialog_key, buttonK3, "buttonK3");
  GLADE_HOOKUP_OBJECT (dialog_key, image22, "image22");
  GLADE_HOOKUP_OBJECT (dialog_key, buttonK4, "buttonK4");
  GLADE_HOOKUP_OBJECT (dialog_key, image23, "image23");
  GLADE_HOOKUP_OBJECT (dialog_key, buttonK5, "buttonK5");
  GLADE_HOOKUP_OBJECT (dialog_key, image24, "image24");
  GLADE_HOOKUP_OBJECT (dialog_key, label21, "label21");
  GLADE_HOOKUP_OBJECT (dialog_key, label22, "label22");
  GLADE_HOOKUP_OBJECT (dialog_key, label23, "label23");
  GLADE_HOOKUP_OBJECT (dialog_key, label24, "label24");
  GLADE_HOOKUP_OBJECT (dialog_key, label25, "label25");
  GLADE_HOOKUP_OBJECT (dialog_key, label26, "label26");
  GLADE_HOOKUP_OBJECT (dialog_key, labelK0, "labelK0");
  GLADE_HOOKUP_OBJECT (dialog_key, labelK1, "labelK1");
  GLADE_HOOKUP_OBJECT (dialog_key, labelK2, "labelK2");
  GLADE_HOOKUP_OBJECT (dialog_key, labelK3, "labelK3");
  GLADE_HOOKUP_OBJECT (dialog_key, labelK4, "labelK4");
  GLADE_HOOKUP_OBJECT (dialog_key, labelK5, "labelK5");
  GLADE_HOOKUP_OBJECT (dialog_key, label20, "label20");
  GLADE_HOOKUP_OBJECT (dialog_key, frame5, "frame5");
  GLADE_HOOKUP_OBJECT (dialog_key, alignment8, "alignment8");
  GLADE_HOOKUP_OBJECT (dialog_key, table3, "table3");
  GLADE_HOOKUP_OBJECT (dialog_key, label37, "label37");
  GLADE_HOOKUP_OBJECT (dialog_key, label38, "label38");
  GLADE_HOOKUP_OBJECT (dialog_key, label39, "label39");
  GLADE_HOOKUP_OBJECT (dialog_key, buttonK6, "buttonK6");
  GLADE_HOOKUP_OBJECT (dialog_key, image26, "image26");
  GLADE_HOOKUP_OBJECT (dialog_key, buttonK7, "buttonK7");
  GLADE_HOOKUP_OBJECT (dialog_key, image27, "image27");
  GLADE_HOOKUP_OBJECT (dialog_key, labelK6, "labelK6");
  GLADE_HOOKUP_OBJECT (dialog_key, labelK7, "labelK7");
  GLADE_HOOKUP_OBJECT (dialog_key, spinbutton3, "spinbutton3");
  GLADE_HOOKUP_OBJECT (dialog_key, label40, "label40");
  GLADE_HOOKUP_OBJECT (dialog_key, label36, "label36");
  GLADE_HOOKUP_OBJECT (dialog_key, frame4, "frame4");
  GLADE_HOOKUP_OBJECT (dialog_key, alignment7, "alignment7");
  GLADE_HOOKUP_OBJECT (dialog_key, label_status, "label_status");
  GLADE_HOOKUP_OBJECT (dialog_key, label35, "label35");
  GLADE_HOOKUP_OBJECT_NO_REF (dialog_key, dialog_action_area2, "dialog_action_area2");
  GLADE_HOOKUP_OBJECT (dialog_key, okbutton2, "okbutton2");

  return dialog_key;
}

